Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
ParticleAssetFieldCollection Class Reference

More...

`#include <ParticleAssetFieldCollection.h>`

## Public Types
typedef HashMap< StringTableEntry, ParticleAssetField * > | typeFieldHash

## Public Member Functions
| ParticleAssetFieldCollection ()
virtual | ~ParticleAssetFieldCollection ()
void | copyTo (ParticleAssetFieldCollection &fieldCollection)
void | addField (ParticleAssetField &particleAssetField, const char *pFieldName, F32 maxTime, F32 minValue, F32 maxValue, F32 defaultValue)
ParticleAssetField * | selectField (const char *pFieldName)
void | deselectField (void)
const ParticleAssetField * | getSelectedField (void) const
const typeFieldHash & | getFields (void) const
ParticleAssetField * | findField (const char *pFieldName)
S32 | setSingleDataKey (const F32 value)
S32 | addDataKey (F32 time, F32 value)
bool | removeDataKey (S32 index)
bool | clearDataKeys (void)
bool | setDataKey (S32 index, F32 value)
F32 | getDataKeyValue (S32 index) const
F32 | getDataKeyTime (S32 index) const
const ParticleAssetField::DataKey & | getDataKey (const U32 index) const
U32 | getDataKeyCount (void) const
F32 | getMinValue (void) const
F32 | getMaxValue (void) const
F32 | getMinTime (void) const
F32 | getMaxTime (void) const
F32 | getFieldValue (F32 time) const
bool | setRepeatTime (const F32 repeatTime)
F32 | getRepeatTime (void) const
bool | setValueScale (const F32 valueScale)
F32 | getValueScale (void) const
void | onTamlCustomWrite (TamlCustomNodes &customNodes)
void | onTamlCustomRead (const TamlCustomNodes &customNodes)
void | WriteCustomTamlSchema (const AbstractClassRep *pClassRep, TiXmlElement *pParentElement) const

## Detailed Description

## Member Typedef Documentation

typedef HashMap<StringTableEntry, ParticleAssetField*> typeFieldHash

## Constructor & Destructor Documentation

ParticleAssetFieldCollection | ( |  | ) |

~ParticleAssetFieldCollection | ( |  | ) |
| virtual

## Member Function Documentation

S32 addDataKey | ( | F32 | time,
|  | F32 | value
| ) |  |

void addField | ( | ParticleAssetField & | particleAssetField,
|  | const char * | pFieldName,
|  | F32 | maxTime,
|  | F32 | minValue,
|  | F32 | maxValue,
|  | F32 | defaultValue
| ) |  |

bool clearDataKeys | ( | void |  | ) |

void copyTo | ( | ParticleAssetFieldCollection & | fieldCollection | ) |

void deselectField | ( | void |  | ) |
| inline

ParticleAssetField * findField | ( | const char * | pFieldName | ) |

const ParticleAssetField::DataKey & getDataKey | ( | const U32 | index | ) | const

U32 getDataKeyCount | ( | void |  | ) | const

F32 getDataKeyTime | ( | S32 | index | ) | const

F32 getDataKeyValue | ( | S32 | index | ) | const

const typeFieldHash& getFields | ( | void |  | ) | const
| inline

F32 getFieldValue | ( | F32 | time | ) | const

F32 getMaxTime | ( | void |  | ) | const

F32 getMaxValue | ( | void |  | ) | const

F32 getMinTime | ( | void |  | ) | const

F32 getMinValue | ( | void |  | ) | const

F32 getRepeatTime | ( | void |  | ) | const

const ParticleAssetField* getSelectedField | ( | void |  | ) | const
| inline

F32 getValueScale | ( | void |  | ) | const

void onTamlCustomRead | ( | const TamlCustomNodes & | customNodes | ) |

void onTamlCustomWrite | ( | TamlCustomNodes & | customNodes | ) |

bool removeDataKey | ( | S32 | index | ) |

ParticleAssetField * selectField | ( | const char * | pFieldName | ) |

bool setDataKey | ( | S32 | index,
|  | F32 | value
| ) |  |

bool setRepeatTime | ( | const F32 | repeatTime | ) |

S32 setSingleDataKey | ( | const F32 | value | ) |

bool setValueScale | ( | const F32 | valueScale | ) |

void WriteCustomTamlSchema | ( | const AbstractClassRep * | pClassRep,
|  | TiXmlElement * | pParentElement
| ) |  | const

The documentation for this class was generated from the following files:

- 2d/assets/ParticleAssetFieldCollection.h
- 2d/assets/ParticleAssetFieldCollection.cc